<script>

export default {
	data () {
		return {}
	},
	mounted () {
		var self=this;
		$(".collection-container").hide();
		$(".collection-description-complete").hide();
	    $("#show-main-collections").hide();
	},
	methods: {
	 	pickOtherCollection: function(name){
		    if (!$("#show-collection-"+name).hasClass("btn-primary")){
			    $("#main-panel").hide();
			    $("#show-main-collections").show();
	     	    $(".collection-container").removeClass("selected");
	     	    $(".collection-container:not(.selected)").hide();
			    $(".collection-description-complete").hide()
			    $(".collection-description").show()
	     	    $(".btn-collection").removeClass("btn-primary")
	     	    $("#show-collection-"+name).addClass("btn-primary")
	     	    $(".collection-container#collection-panel-"+name).show()
	     	    $(".collection-container#collection-panel-"+name).addClass("selected")
		    }
		},
		showMainPanel: function(){
     	    $(".collection-container").removeClass("selected");
     	    $(".btn-collection").removeClass("btn-primary")
     	    $(".collection-container").hide();
		    $("#main-panel").show();
		    $("#show-main-collections").hide();
		},
		showCompleteDescription: function(name){
		    $(".collection-description-complete").hide()
		    $("#collection-description-short-"+name).hide()
		    $("#collection-description-complete-"+name).show()
		},
		hideCompleteDescription: function(name){
		    $(".collection-description-complete").hide()
		    $("#collection-description-short-"+name).show()
		}
	}
}


</script>